> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getTimeOffPolicies

> The `getTimeOffPolicies` API retrieves all active time off policies for a company

### Note:
- To retrieve a single timeOffPolicy using a timeOffPolicyId use `getTimeOffPolicy`




## OpenAPI

````yaml get /reports/getTimeOffPolicies
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getTimeOffPolicies:
    get:
      tags: []
      summary: getTimeOffPolicies
      description: >
        The `getTimeOffPolicies` API retrieves all active time off policies for
        a company


        ### Note:

        - To retrieve a single timeOffPolicy using a timeOffPolicyId use
        `getTimeOffPolicy`
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
              required:
                - method
                - companyId
            example:
              method: getTimeOffPolicies
              companyId: 21DA3F1A-E593-42EE-95F5-A22EDF6382F0
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  timeOffPolicies:
                    type: object
                    properties:
                      timeOffPolicyId:
                        type: string
                      timeOffPolicyName:
                        type: string
                      lumpSumHoursEarned:
                        type: number
                      accrualRatePerHour:
                        type: number
                      canCarryoverHours:
                        type: boolean
                      carryoverLimitHours:
                        type: number
                      maxAccumulatedHours:
                        type: number
                      waitingPeriodQuantity:
                        type: number
                      isProratedByStartDate:
                        type: boolean
                      payoutOnTerminations:
                        type: boolean
                      maxPayoutHours:
                        type: number
                      timeOffPolicyType:
                        type: string
                      earningMethod:
                        type: string
                      waitingPeriodUnit:
                        type: string
                      timeOffRecievedWhen:
                        type: string
                    required:
                      - timeOffPolicyId
                      - timeOffPolicyName
                      - lumpSumHoursEarned
                      - accrualRatePerHour
                      - canCarryoverHours
                      - carryoverLimitHours
                      - maxAccumulatedHours
                      - waitingPeriodQuantity
                      - isProratedByStartDate
                      - payoutOnTerminations
                      - maxPayoutHours
                      - timeOffPolicyType
                      - earningMethod
                      - waitingPeriodUnit
                      - timeOffRecievedWhen
                required:
                  - timeOffPolicies
              examples:
                '1':
                  summary: Success
                  value:
                    timeOffPolicies:
                      - timeOffPolicyId: 1BD5AB2B-AEEC-46CD-A93B-D1A68FB90C3A
                        timeOffPolicyName: Standard Vacation
                        lumpSumHoursEarned: 80
                        accrualRatePerHour: 1.5
                        canCarryoverHours: true
                        carryoverLimitHours: 40
                        maxAccumulatedHours: 160
                        waitingPeriodQuantity: 0
                        isProratedByStartDate: true
                        payoutOnTerminations: true
                        maxPayoutHours: 40
                        timeOffPolicyType: Vacation
                        earningMethod: Lump Sum (All at once)
                        waitingPeriodUnit: Days
                        timeOffRecievedWhen: On Hire Date
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 400
                      message: Invalid CompanyId
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````